#include <iostream>
#include <stdio.h>
#include <stdlib.h>
using namespace std;

int main()
{
    int n, x1, x2, y1, y2;
    scanf("%d", &n);

    if(n == 1)
    {
        printf("0");
        return 0;
    }

    scanf("%d%d%d%d", &x1, &y1, &x2, &y2);

    if(x1 == x2 || y1 == y2)
        printf("1");
    else
        printf("0");

    return 0;
}